aboutsummaryrefslogtreecommitdiff
path: root/build
diff options
context:
space:
mode:
authorAndrew Hsieh <andrewhsieh@google.com>2014-11-17 01:11:03 +0000
committerGerrit Code Review <noreply-gerritcodereview@google.com>2014-11-17 01:11:04 +0000
commit6ba493a5ce8084342a4917007ff61376f23be317 (patch)
treee524eb6d55688a60b4b760e6fb4a1428b69b6a4b /build
parent4a016d0f5bea8e593c96b90a6b2df41af08ad075 (diff)
parentf65756e3ae71dd511f4df671cb5582253d580828 (diff)
downloadndk-6ba493a5ce8084342a4917007ff61376f23be317.tar.gz
Merge "Don't default to ARCH=arm in make-standalone-toolchain.sh"
Diffstat (limited to 'build')
-rwxr-xr-xbuild/tools/make-standalone-toolchain.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/build/tools/make-standalone-toolchain.sh b/build/tools/make-standalone-toolchain.sh
index 9084e6a97..0d4ce8218 100755
--- a/build/tools/make-standalone-toolchain.sh
+++ b/build/tools/make-standalone-toolchain.sh
@@ -105,7 +105,9 @@ if [ -z "$ARCH" ]; then
ARCH=mips64
;;
*)
- ARCH=arm
+ ARCH=null
+ echo "Unable to auto-config arch from toolchain $TOOLCHAIN_NAME"
+ exit 1
;;
esac
ARCH_INC=$ARCH
@@ -132,7 +134,10 @@ else
ARCH=mips64
;;
*)
- ARCH=arm
+ echo "Invalid --arch $ARCH"
+ echo "Please use one of arm, x86, mips, arm64, x86_64 or mips64"
+ ARCH=null
+ exit 1
;;
esac